Page MenuHomePhabricator

Stop writing to ActiveMQ once orphan slaying on Redis has been tested
Closed, ResolvedPublic2 Story Points

Description

Check the following cases:

  • Normal donation, ending both in success and failure. There should be nothing left in the limbo queue.
  • Interrupted donation, which succeeded at GlobalCollect. This should appear in the limbo queue, until its consumption 20 min later by the slaying script. The script should report this as a status 600, and send a completed donation message.
  • Interrupted donation which did never progressed or failed at GlobalCollect. Same as above, but it is reported out as a status 25 (needs citation), and does not produce a donation message.

If it's working, then we can follow up with work to remove the ActiveMQ code from the orphan slayer and frontend DonationInterface.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterFix orphan loop, remove 'antimessage' references
mediawiki/extensions/DonationInterface : masterRemove legacy STOMP code

Related Objects

StatusAssignedTask
DeclinedNone
ResolvedPcoombe
DeclinedNone
OpenNone
OpenNone
ResolvedNone
Declined atgo
ResolvedNone
DeclinedNone
DeclinedNone
OpenNone
OpenNone
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Invalidawight
Resolvedawight
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone

Event Timeline

awight created this task.May 13 2015, 9:36 PM
awight claimed this task.
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: AndyRussG, atgo, gerritbot and 2 others.
awight edited a custom field.May 13 2015, 11:12 PM
awight renamed this task from Confirm orphan slaying works on Memcache, stop writing to ActiveMQ to Confirm orphan slaying works once using Redis, then stop writing to ActiveMQ.Jun 8 2015, 6:40 PM
awight updated the task description. (Show Details)
atgo added a subtask: Restricted Task.Jun 10 2015, 11:07 PM
awight moved this task from Backlog to PCI on the Fundraising-Backlog-Old board.Jun 23 2015, 1:10 AM

Taking out of the sprint until it's unblocked.

Jgreen closed subtask Restricted Task as Resolved.Jul 24 2015, 3:01 PM
awight renamed this task from Confirm orphan slaying works once using Redis, then stop writing to ActiveMQ to Stop writing to ActiveMQ once orphan slaying on Redis has been tested .Jul 24 2015, 10:53 PM

Change 229079 had a related patch set uploaded (by Awight):
DO NOT MERGE Remove legacy STOMP code

https://gerrit.wikimedia.org/r/229079

Adding this to the sprint as a background task. I don't want to mirror to two queues for longer than necessary, it's a transitional thing and sort of sketchy. It no longer looks like we'll need to roll back.

Change 229079 merged by jenkins-bot:
Remove legacy STOMP code

https://gerrit.wikimedia.org/r/229079

Change 231304 had a related patch set uploaded (by Ejegg):
Fix orphan loop, remove 'antimessage' references

https://gerrit.wikimedia.org/r/231304

Change 231304 merged by jenkins-bot:
Fix orphan loop, remove 'antimessage' references

https://gerrit.wikimedia.org/r/231304

awight closed this task as Resolved.Aug 18 2015, 9:27 PM
awight moved this task from Pending Deployment to Done on the Fundraising Sprint Queen board.
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM